Contents

API reference

Notifications

API reference descriptions are provided in English to preserve the exact published contract.

List effective notification-category preferences

GET /v1/accounts/{AC}/notification-preferences

Required scope: `notifications:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Set one notification-category preference

PUT /v1/accounts/{AC}/notification-preferences

Required scope: `notifications:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (3 fields)
Request body
NameTypeRequiredDescription
category"sender_health" | "template_status" | "action_required" | "operation_complete" | "security" | "incident" | "product_update" | "billing" | "conversation"yes
emailbooleanyes
inAppbooleanyes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Set the signed-in user's language for the console and e-mails

PUT /v1/accounts/{AC}/notification-preferences/language

Required scope: `notifications:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (1 fields)
Request body
NameTypeRequiredDescription
locale"en" | "fr" | nullyes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

List notifications

GET /v1/accounts/{AC}/notifications

Required scope: `notifications:read`.

Parameters

Parameters
NameTypeRequiredDescription
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
unreadquery · boolean
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Mark a notification read

POST /v1/accounts/{AC}/notifications/{notificationId}/read

Required scope: `notifications:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
notificationIdpath · string (uuid)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Describe a notification e-mail unsubscribe link (public)

GET /v1/notification-unsubscribe/{token}

Parameters

Parameters
NameTypeRequiredDescription
tokenpath · string (pattern ^[A-Za-z0-9_-]{32,64}$)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Turn off one category of notification e-mail (public, RFC 8058 one-click)

POST /v1/notification-unsubscribe/{token}

Parameters

Parameters
NameTypeRequiredDescription
tokenpath · string (pattern ^[A-Za-z0-9_-]{32,64}$)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.